commoble.bagofyurting

## Class ShapelessBagUpgradeRecipe.Serializer

- java.lang.Object
- - net.minecraftforge.registries.ForgeRegistryEntry<net.minecraft.item.crafting.IRecipeSerializer<?>>
  - - net.minecraft.item.crafting.ShapelessRecipe.Serializer
    - - commoble.bagofyurting.ShapelessBagUpgradeRecipe.Serializer

All Implemented Interfaces:
  net.minecraft.item.crafting.IRecipeSerializer<net.minecraft.item.crafting.ShapelessRecipe>, net.minecraftforge.registries.IForgeRegistryEntry<net.minecraft.item.crafting.IRecipeSerializer<?>>

Enclosing class:
  ShapelessBagUpgradeRecipe

    public static class ShapelessBagUpgradeRecipe.Serializer
    extends net.minecraft.item.crafting.ShapelessRecipe.Serializer

### Nested Class Summary

### Nested classes/interfaces inherited from class net.minecraftforge.registries.ForgeRegistryEntry

`net.minecraftforge.registries.ForgeRegistryEntry.UncheckedRegistryEntry<V extends net.minecraftforge.registries.IForgeRegistryEntry<V>>`

### Field Summary

### Fields inherited from class net.minecraftforge.registries.ForgeRegistryEntry

`delegate`

### Fields inherited from interface net.minecraft.item.crafting.IRecipeSerializer

`BLASTING, CAMPFIRE_COOKING, CRAFTING_SHAPED, CRAFTING_SHAPELESS, CRAFTING_SPECIAL_ARMORDYE, CRAFTING_SPECIAL_BANNERDUPLICATE, CRAFTING_SPECIAL_BOOKCLONING, CRAFTING_SPECIAL_FIREWORK_ROCKET, CRAFTING_SPECIAL_FIREWORK_STAR, CRAFTING_SPECIAL_FIREWORK_STAR_FADE, CRAFTING_SPECIAL_MAPCLONING, CRAFTING_SPECIAL_MAPEXTENDING, CRAFTING_SPECIAL_REPAIRITEM, CRAFTING_SPECIAL_SHIELD, CRAFTING_SPECIAL_SHULKERBOXCOLORING, CRAFTING_SPECIAL_SUSPICIOUSSTEW, CRAFTING_SPECIAL_TIPPEDARROW, SMELTING, SMITHING, SMOKING, STONECUTTING`

### Constructor Summary

Constructors
Constructor and Description
`Serializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`net.minecraft.item.crafting.ShapelessRecipe` `read(net.minecraft.util.ResourceLocation recipeId, com.google.gson.JsonObject json)`
`net.minecraft.item.crafting.ShapelessRecipe` `read(net.minecraft.util.ResourceLocation recipeId, net.minecraft.network.PacketBuffer buffer)`

### Methods inherited from class net.minecraft.item.crafting.ShapelessRecipe.Serializer

`write`

### Methods inherited from class net.minecraftforge.registries.ForgeRegistryEntry

`getRegistryName, getRegistryType, setRegistryName, setRegistryName, setRegistryName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.item.crafting.IRecipeSerializer

`register`

### Methods inherited from interface net.minecraftforge.registries.IForgeRegistryEntry

`getRegistryName, getRegistryType, setRegistryName`

### Constructor Detail

#### Serializer

    public Serializer()

### Method Detail

#### read

    public net.minecraft.item.crafting.ShapelessRecipe read(net.minecraft.util.ResourceLocation recipeId,
                                                            com.google.gson.JsonObject json)

Specified by:
  `read` in interface `net.minecraft.item.crafting.IRecipeSerializer<net.minecraft.item.crafting.ShapelessRecipe>`
Overrides:
  `read` in class `net.minecraft.item.crafting.ShapelessRecipe.Serializer`

#### read

    public net.minecraft.item.crafting.ShapelessRecipe read(net.minecraft.util.ResourceLocation recipeId,
                                                            net.minecraft.network.PacketBuffer buffer)

Specified by:
  `read` in interface `net.minecraft.item.crafting.IRecipeSerializer<net.minecraft.item.crafting.ShapelessRecipe>`
Overrides:
  `read` in class `net.minecraft.item.crafting.ShapelessRecipe.Serializer`